package cn.kdan.cloud.pdf.office.payment.service;

import cn.kdan.cloud.pdf.office.api.payment.dto.EquityVerificationDTO;
import cn.kdan.cloud.pdf.office.common.vo.UserInfoVO;
import cn.kdan.cloud.pdf.office.api.payment.dto.AppStoreOrderSucceedDTO;

/**
 * @author ComPDFKit-WPH 2023/6/29
 */
public interface AppStoreService {
    /**
     * 订单支付成功（applePay专用）
     * 回传appal pay id &签名证书
     *
     * @param appStoreOrderSucceed appStoreOrderSucceed
     */
    UserInfoVO appStoreOrderSucceed(AppStoreOrderSucceedDTO appStoreOrderSucceed);

    /**
     * appStore 权益校验
     *
     * @param equityVerificationDTO equityVerificationDTO
     * @return UserInfoVO
     */
    UserInfoVO appStoreEquityVerification(EquityVerificationDTO equityVerificationDTO);

}
